Skip to main content
GET
Get the project dependency graph

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

ownerUsername
string

Username of the owner of the project to centre the graph on. Only takes effect when projectName is sent as well; on its own it is ignored and the whole graph is returned.

projectName
string

Name of the project to centre the graph on. Only takes effect when ownerUsername is sent as well; on its own it is ignored and the whole graph is returned.

Response

Success

metadata
object
required
nodes
object[]
required

One entry per project in the graph.

selectedProject
object